package com.example.upsecuritydata.task;

import cn.hutool.core.date.DateUtil;
import com.example.upsecuritydata.service.Method;
import com.xxl.job.core.context.XxlJobHelper;
import lombok.AllArgsConstructor;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Component;

/**
 * @author laifeng
 * @since 2022/12/1
 */
@Component
@EnableScheduling
@AllArgsConstructor
public class TestTask1 {
    private final Method method;

    //    @XxlJob("demoJobTest")
//    @Scheduled(cron = "0/10 * * * * ? ")
    public void refreshAliDeviceStatus() throws Exception {
        String format = DateUtil.format(DateUtil.yesterday(), "yyyy-MM-dd");
        System.out.println(format);
        XxlJobHelper.log("XXL-JOB,测试", format);

    }
}
